{% load l10n %}
{% load customhumanize %}

{% csrf_token %}
<input type="hidden" name="{{ form.order.name }}" value="{{ form.order.value }}">
<div class="form__item form-group form-group_default">
  <div class="fieldset fieldset_grid3">
    {% if form.mark_auto %}
      <div class="fieldset__item field">
        <label class="label label_default label_s">марка</label>
        <div class="control control_default control_m">
          <select id="mark_auto" name="{{ form.mark_auto.name }}">
            <option value=""></option>
            {% for instance in form.mark_auto.field.queryset %}
              <option value="{{ instance.id }}" {% if form.mark_auto.value == instance.id %} selected {% endif %}>{{ instance }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.mark_auto.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.mark_auto.name }}") }</div>
      </div>
    {% endif %}
    {% if form.model_auto %}
      <div class="fieldset__item field">
        <label class="label label_default label_s">модель</label>
        <div class="control control_default control_m">
          <select id="model_auto" name="{{ form.model_auto.name }}">
            <option value=""></option>
            {% for instance in form.model_auto.field.queryset %}
              <option value="{{ instance.pk }}" {% if form.model_auto.value == instance.id %} selected {% endif %}>{{ instance }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.model_auto.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.model_auto.name }}") }</div>
      </div>
    {% endif %}
    {% if form.generation %}
      <div class="fieldset__item field">
        <label class="label label_default label_s">поколение</label>
        <div class="control control_default control_m">
          <select id="generation" name="{{ form.generation.name }}">
            <option value=""></option>
            {% for instance in form.generation.field.queryset %}
              <option value="{{ instance.pk }}" {% if form.generation.value == instance.id %} selected {% endif %}>{{ instance }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.generation.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.generation.name }}") }</div>
      </div>
    {% endif %}
    {% if form.year_auto %}
      <div class="fieldset__item field">
        <label class="label label_default label_s">год выпуска</label>
        <div class="grid grid_2 grid_s">
          <div class="control control_default control_m">
            <select name="year_auto_0" v-select2="year0">
              <option disabled selected>от</option>
              <option v-for="year in yearsRange.options0" :value="year" :selected="year == parseInt(yearsRange.select0)">${ year }</option>
            </select>
          </div>
          <div class="control control_default control_m">
            <select name="year_auto_1" v-select2="year1">
              <option disabled selected>до</option>
              <option v-for="year in yearsRange.options1" :value="year" :selected="year == parseInt(yearsRange.select1)">${ year }</option>
            </select>
          </div>
        </div>
        <div v-show="errors.has('{{ form.year_auto.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.year_auto.name }}") }</div>
      </div>
    {% endif %}
    {% if form.mileage %}
      <div class="fieldset__item field">
        <label class="label label_default label_s">пробег</label>
        <div class="control control_default control_m">
          
          <select name="{{ form.mileage.name }}">
            <option disabled selected>не более</option>
            {% for value in mileage %}
              <option value="{{ value }}" {% if value == form.mileage.value %} selected {% endif %}>{{ value|white_space_humanize }}</option>
            {% endfor %}
            <option value="">любой</option>
          </select>
        </div>
        <div v-show="errors.has('{{ form.mileage.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.mileage.name }}") }</div>
      </div>
    {% endif %}
    {% if form.cost %}
      <div class="fieldset__item field">
        <label class="label label_default label_s">бюджет</label>
        <div class="control control_default control_m">
          <input v-model="cost"  type="text"  name="{{ form.cost.name }}" value="{{ form.cost.value|default_if_none:'' }}" placeholder="до"/>
        </div>
        <div v-show="errors.has('{{ form.cost.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.cost.name }}") }</div>
      </div>
    {% endif %}
    {% if form.body_type_auto %}
      <div class="fieldset__item field">
        <label class="label label_default label_s">кузов</label>
        <div class="control control_default control_m">
          <select name="{{ form.body_type_auto.name }}" multiple>
            {% for value, text in form.body_type_auto.field.choices %}
              <option value="{{ value }}" {% if value in form.body_type_auto.value %} selected {% endif %}>{{ text|lower }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.body_type_auto.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.body_type_auto.name }}") }</div>
      </div>
    {% endif %}
    {% if form.color_auto %}
      <div class="fieldset__item field">
        <label class="label label_default label_s" for="{{ form.color_auto.id_for_label }}">цвет</label>
        <div class="control control_default control_m">
          <select name="{{ form.color_auto.name }}" multiple>
            {% for value, text in colors_auto %}
              <option value="{{ value }}" {% if value in form.color_auto.value %} selected {% endif %}>{{ text }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.color_auto.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.color_auto.name }}") }</div>
      </div>
    {% endif %}
    {% if form.equipment %}
      <div class="fieldset__item field">
        <label class="label label_default label_s">комплектация</label>
        <div class="control control_default control_m">
          <input name="{{ form.equipment.name }}" type="text" value="{{ form.equipment.value|default_if_none:'' }}">
        </div>
        <div v-show="errors.has('{{ form.equipment.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.equipment.name }}") }</div>
      </div>
    {% endif %}
    {% if form.engine_type %}
      <div class="fieldset__item field">
        <label class="label label_default label_s" for="{{ form.engine_type.id_for_label }}">двигатель</label>
        <div class="control control_default control_m">
          <select name="{{ form.engine_type.name }}" multiple>
            {% for value, text in engine_types %}
              <option value="{{ value }}" {% if value in form.engine_type.value %} selected {% endif %}>{{ text }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.engine_type.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.engine_type.name }}") }</div>
      </div>
    {% endif %}
    {% if form.engine_capacity %}
      <div class="fieldset__item field">
        <label class="label label_default label_s" for="{{ form.engine_capacity.id_for_label }}">объём, л.</label>
        <div class="grid grid_2 grid_s">
          <div class="control control_default control_m">
            <select name="engine_capacity_0" v-select2="engineCapacity0">
              <option disabled selected>от</option>
              <option v-for="capacity in engineCapacityRange.options0" :value="capacity" :selected="capacity == engineCapacity0">${ capacity }</option>
            </select>
          </div>
          <div class="control control_default control_m">
            <select name="engine_capacity_1" v-select2="engineCapacity1">
              <option disabled selected>до</option>
              <option v-for="capacity in engineCapacityRange.options1" :value="capacity" :selected="capacity == engineCapacity1">${ capacity }</option>
            </select>
          </div>
        </div>
        <div v-show="errors.has('{{ form.engine_capacity.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.engine_capacity.name }}") }</div>
      </div>
    {% endif %}
    {% if form.horsepower %}
      <div class="fieldset__item field">
        <label class="label label_default label_s" for="{{ form.horsepower.id_for_label }}">мощность, л.с.</label>
        <div class="grid grid_2 grid_s">
          <div class="control control_default control_m">
            <select name="horsepower_0" v-select2="horsepower0">
              <option disabled selected>от</option>
              <option v-for="power in horsepowerRange.options0" :value="power" :selected="power == horsepower0">${ power }</option>
            </select>
          </div>
          <div class="control control_default control_m">
            <select name="horsepower_1" v-select2="horsepower1">
              <option disabled selected>до</option>
              <option v-for="power in horsepowerRange.options1" :value="power" :selected="power == horsepower1">${ power }</option>
            </select>
          </div>
        </div>
        <div v-show="errors.has('{{ form.horsepower.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.horsepower.name }}") }</div>
      </div>
    {% endif %}
    {% if form.transmission_type %}
      <div class="fieldset__item field">
        <label class="label label_default label_s" for="{{ form.transmission_type.id_for_label }}">трансмиссия</label>
        <div class="control control_default control_m">
          <select name="{{ form.transmission_type.name }}" multiple>
            {% for value, text in transmission_types %}
              <option value="{{ value }}" {% if value in form.transmission_type.value %} selected {% endif %}>{{ text }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.transmission_type.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.transmission_type.name }}") }</div>
      </div>
    {% endif %}
    {% if form.drive_type %}
      <div class="fieldset__item field">
        <label class="label label_default label_s" for="{{ form.drive_type.id_for_label }}">привод</label>
        <div class="control control_default control_m">
          <select name="{{ form.drive_type.name }}" multiple>
            {% for value, text in drive_types %}
              <option value="{{ value }}" {% if value in form.drive_type.value %} selected {% endif %}>{{ text }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.drive_type.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.drive_type.name }}") }</div>
      </div>
    {% endif %}
    <div class="fieldset__item fieldset__item_empty"></div>
    {% if form.salon_auto %}
      <div class="fieldset__item field">
        <label class="label label_default label_s" for="{{ form.salon_auto.id_for_label }}">салон</label>
        <div class="control control_default control_m">
          <select name="{{ form.salon_auto.name }}" multiple>
            {% for value, text in salon_auto %}
              <option value="{{ value }}" {% if value in form.salon_auto.value %} selected {% endif %}>{{ text }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.salon_auto.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.salon_auto.name }}") }</div>
      </div>
    {% endif %}
    {% if form.color_salon %}
      <div class="fieldset__item field">
        <label class="label label_default label_s">цвет салона</label>
        <div class="control control_default control_m">
          <select name="{{ form.color_salon.name }}" multiple>
            {% for value, text in colors_salon %}
              <option value="{{ value }}" {% if value in form.color_salon.value %} selected {% endif %}>{{ text }}</option>
            {% endfor %}
          </select>
        </div>
        <div v-show="errors.has('{{ form.color_salon.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.color_salon.name }}") }</div>
      </div>
    {% endif %}
    <div class="fieldset__item fieldset__item_empty"></div>
    {% if form.number_of_hosts %}
      <div class="fieldset__item field">
        <label class="label label_default label_s" for="{{ form.number_of_hosts.id_for_label }}">кол-во владельцев</label>
        <div class="grid grid_2 grid_s">
          <div class="control control_default control_m">
            <select name="{{ form.number_of_hosts.name }}">
              <option disabled selected>не более</option>
              {% for value, text in form.number_of_hosts.field.choices %}
                <option value="{{ value }}" {% if form.number_of_hosts.value == value %} selected {% endif %}>{{ text }}</option>
              {% endfor %}
            </select>
          </div>
        </div>
        <div v-show="errors.has('{{ form.number_of_hosts.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.number_of_hosts.name }}") }</div>
      </div>
    {% endif %}
  </div>
</div>
{% if form.comment %}
  <div class="form__item">
    <div class="field">
      <label class="label label_default label_s" for="{{ form.comment.id_for_label }}">комментарий</label>
      <div class="control control_default control_m">
        <textarea name="{{ form.comment.name }}">{{ form.comment.value|default_if_none:'' }}</textarea>
      </div>
      <div v-show="errors.has('{{ form.comment.name }}')" class="msg msg_field msg_fail">${ errors.first("{{ form.comment.name }}") }</div>
    </div>
  </div>
{% endif %}